Skip to navigation

Returns details about the brand set for a workspace

View as Markdown

Note: This endpoint is in beta.

This operation retrieves details about a specific workspace. It returns the brand details such as its unique identifier (ID), name, and metadata such as brand colors and logos.

Authentication

AuthorizationBearer
JWT Bearer token from Docusign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account
workspaceIdstringRequiredformat: "uuid"
The ID of the workspace

Response

Workspace successfully retrieved
colorslist of objects or null
brand_languageslist of strings or null
brand_idstring or nullOptional
brand_namestring or nullOptional
brand_companystring or nullOptional
logosobjectOptional
default_brand_languagestring or nullOptional
is_sending_defaultbooleanOptional
is_signing_defaultbooleanOptional
primary_logo_idstring or nullOptional
secondary_logo_idstring or nullOptional
email_logo_idstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error